---
page_title: "authentik_provider_ldap Resource - terraform-provider-authentik"
subcategory: "Applications"
description: |-
---

# authentik_provider_ldap (Resource)

## Example Usage

```terraform
# Create an LDAP Provider

data "authentik_flow" "default-authentication-flow" {
  slug = "default-authentication-flow"
}

resource "authentik_provider_ldap" "name" {
  name      = "ldap-app"
  base_dn   = "dc=ldap,dc=goauthentik,dc=io"
  bind_flow = data.authentik_flow.default-authentication-flow.id
}

resource "authentik_application" "name" {
  name              = "ldap-app"
  slug              = "ldap-app"
  protocol_provider = authentik_provider_ldap.name.id
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **base_dn** (String)
- **bind_flow** (String)
- **name** (String)

### Optional

- **certificate** (String)
- **gid_start_number** (Number) Defaults to `4000`.
- **id** (String) The ID of this resource.
- **search_group** (String)
- **tls_server_name** (String)
- **uid_start_number** (Number) Defaults to `2000`.
