---
page_title: "authentik_user Resource - terraform-provider-authentik"
subcategory: "Directory"
description: |-
---

# authentik_user (Resource)

## Example Usage

```terraform
# Create a user

resource "authentik_user" "name" {
  username = "user"
  name     = "User"
}

# Create a user that is member of a group

resource "authentik_group" "group" {
  name = "group-name"
}

resource "authentik_user" "name" {
  username = "user"
  name     = "User"
  groups   = [authentik_group.group.id]
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- **username** (String)

### Optional

- **attributes** (String) Defaults to `{}`.
- **email** (String)
- **groups** (List of String)
- **id** (String) The ID of this resource.
- **is_active** (Boolean) Defaults to `true`.
- **name** (String) Defaults to ``.
